#
# spec file for package python3-websocket-client
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-websocket-client
Version:        0.37.0
Release:        3.1
Summary:        WebSocket client implementation
License:        LGPL-2.1
Group:          Development/Languages/Python
Url:            https://github.com/liris/websocket-client/releases
Source0:        https://files.pythonhosted.org/packages/source/w/websocket-client/websocket_client-%{version}.tar.gz
BuildRequires:  python3-backports.ssl_match_hostname
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
Requires:       python3
Requires:       python3-backports.ssl_match_hostname
Requires:       python3-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildArch:      noarch

%description
websocket-client module  is WebSocket client for python. This provide the
low level APIs for WebSocket. All APIs are the synchronous functions.

websocket-client supports only hybi-13.

%package test
Summary:        Unit tests
Group:          Development/Languages/Python
Requires:       python3-websocket-client = %{version}

%description test
Unit tests for websocket-client

%prep
%setup -q -n websocket_client-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
# Use the system certs
rm %{buildroot}/%{python3_sitelib}/websocket/cacert.pem
mv %{buildroot}%{_bindir}/wsdump.py %{buildroot}%{_bindir}/wsdump.py-%{py3_ver}
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
touch %{buildroot}%{_sysconfdir}/alternatives/wsdump.py
ln -sf %{_sysconfdir}/alternatives/wsdump.py %{buildroot}/%{_bindir}/wsdump.py

%check
python3 websocket/tests/test_websocket.py

%post
update-alternatives \
    --install %{_bindir}/wsdump.py wsdump.py %{_bindir}/wsdump.py-%{py3_ver} 30

%postun
if [ $1 -eq 0 ] ; then
    update-alternatives --remove wsdump.py %{_bindir}/wsdump.py-%{py3_ver}
fi

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%dir %{python3_sitelib}/websocket
%dir %{python3_sitelib}/websocket_client-%{version}-py*.egg-info
%{_bindir}/wsdump.py
%{_bindir}/wsdump.py-%{py3_ver}
%exclude %{python3_sitelib}/websocket/tests/
%{python3_sitelib}/websocket/*
%{python3_sitelib}/*egg-info/*
%ghost %{_sysconfdir}/alternatives/wsdump.py

%files test
%defattr(-,root,root,-)
%dir %{python3_sitelib}/websocket/tests
%{python3_sitelib}/websocket/tests/*

%changelog
* Sun May 15 2016 arun@gmx.de
- update to version 0.37.0:
  * fixed fialer that `websocket.create_connection` does not accept
    `origin` as a parameter (#246 )
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Tue Apr 12 2016 arun@gmx.de
- update to version 0.36.0:
  * added support for using custom connection class (#235)
  * use Named logger (#238)
  * implement ping/pong timeout (#241)
  * Corrects the syntax highlight code (#243)
  * fixed failure to join thread before it is started (#242)
* Sat Mar 19 2016 andrea@opensuse.org
- set up update alternatives
* Sat Jan 16 2016 arun@gmx.de
- update to version 0.35.0:
  * Prints timings in console (#217)
  * use inspect.getfullargspec with Python 3.x (#219)
  * Check that exception message is actually a string before trying
    for substring check (#224)
  * Use pre-initialized stream socket (#226)
  * fixed TypeError: cafile, capath and cadata cannot be all omitted
    (#227)
- changes from version 0.34.0:
  * Change import style (#203)
  * fix attribute error on the older python. (#215)
- changes from version 0.33.0:
  * fixed timeout+ssl error handling bug on python 2.7.10 (#190)
  * add proxy support to wsdump.py (#194)
  * use wsaccel if available (#193)
  * add support for ssl cert chains to support client certs (#195)
  * fix string formatting in exception (#196)
  * fix typo in README.rst (#197)
  * introduce on_data callback to pass data type. (#198)
  * WebSocketBadStatusException for Handshake error (#199)
  * set close timeout (#192)
  * Map dict to headers list (#204)
  * support client certification (#207)
  * security improvement during handshake (#211)
  * improve logging of error from callback (#212)
* Thu Jan 14 2016 andrea@opensuse.org
- New package
